ISLOWER(3)

NAME
islower - lower-case character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
islower(int c);

DESCRIPTION
The islower() function tests for any lower-case letters. The value of the argument must be representable as an unsigned char or the value of EOF.

In the ASCII character set, this includes the following characters (with their numeric values shown in octal):

141 ``a'' | 142 ``b'' | 143 ``c'' | 144 ``d'' | 145 ``e''
146 ``f'' | 147 ``g'' | 150 ``h'' | 151 ``i'' | 152 ``j''
153 ``k'' | 154 ``l'' | 155 ``m'' | 156 ``n'' | 157 ``o''
160 ``p'' | 161 ``q'' | 162 ``r'' | 163 ``s'' | 164 ``t''
165 ``u'' | 166 ``v'' | 167 ``w'' | 170 ``x'' | 171 ``y''
172 ``z''

RETURN VALUES
The islower() function returns zero if the character tests false and returns non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswlower() function should be used instead.

SEE ALSO
ctype(3), iswlower(3), tolower(3), ascii(7)

STANDARDS
The islower() function conforms to isoC.